Subject: Re[2]: shutdown: non-existing PID

From: [email-masked]
Date: Wed, 07 Aug 96 09:40:43 cet

Phil, Michael,
 Maybe pstree (and friends mentioned in the man page) can help you to trace 
 the problem 
 Lazaro <[email-masked]>
______________________________ Reply Separator _________________________________
Subject: Re: shutdown: non-existing PID 
Author:  [email-masked] at cclink
Date:    07.08.96 02:39

On Tue, 06 Aug 1996 15:42:37 +0200 Michael Gaertner 
([email-masked]) wrote:
> shutdown -h now
> 
> console-message:
> "start-stop-daemon:warning: failed to kill 218: No such process"
> 
> Indeed there is no PID 218. BTW the pid-number changes with every
> shutdown.
> I think it has something to do with X Windows because I have another
> debian-system without X Windows installed - and I don't get this message.

I have the same minor problem, and it's '/etc/init.d/xdm stop' which causes the 
t
rouble. From what I've found, start-stop-daemon will kill the process tree of 
the
 daemon to stop. In case of xdm, it will try to kill xdm first, then X.
But, xdm kills X too when it's about to shutdown. The message appears when xdm 
ki
lls X before start-stop-daemon. Sometimes, no message appears, and I assume that
happens when start-stop-daemon kills X before xdm.

I have no fix yet. (It's only a minor annoyance)

Phil.